Get NFTs from Wallet
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/wallets/{identifier}/nfts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/wallets/{identifier}/nfts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/wallets/{identifier}/nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>"
}
]
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>",
"subscription": {
"expiresAt": "<ISO_string>"
}
}
]
[
{
"chain": "<string>",
"mintHash": "<string>",
"metadata": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"attributes": []
},
"locator": "<string>"
}
]
{
"error": "<string>"
}
REST
Get NFTs from Wallet
Fetch the NFTs in a provided wallet
API scope required: wallets:nfts.read
GET
/
2022-06-09
/
wallets
/
{identifier}
/
nfts
Get NFTs from Wallet
This API enables fetching the NFTs for a provided wallet address and chain.
The response will be slightly different between EVM, Solana, and other wallets. See the example responses to the right.
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>"
}
]
[
{
"chain": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"metadata": {
"attributes": [],
"collection": {},
"description": "<string>",
"image": "<string>",
"animation_url": "<string>",
"name": "<string>"
},
"locator": "<string>",
"tokenStandard": "<string>",
"subscription": {
"expiresAt": "<ISO_string>"
}
}
]
[
{
"chain": "<string>",
"mintHash": "<string>",
"metadata": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"attributes": []
},
"locator": "<string>"
}
]
{
"error": "<string>"
}
Authorizations
Obtained in the Crossmint developer console
Path Parameters
The wallet identifier in the format of <chain>:<address>, email:<email_address>:<chain> or userId:<userId>:<chain>.
Query Parameters
Page index
Number of items to display per page
Filter NFTs by contract address. Can be a single address or an array of addresses.
Filter NFTs by token ID
Response
Success
- EVM · object[]
- Solana · object[]
The blockchain used in the request.
The token contract address
The numeric tokenId for the specified NFT
Show child attributes
Show child attributes
The address of the NFT on the blockchain
The type of contract this token is from (ERC-721, ERC-1155 or ERC-5643)
Show child attributes
Show child attributes
Was this page helpful?
⌘I

